# Class VulkanVersions

java.lang.Object
com.io7m.jcoronado.api.VulkanVersions

public final class VulkanVersions extends Object
Functions for encoding and decoding Vulkan version numbers.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VulkanVersion`
  `decode(int version)`
  Decode an encoded version.
  `static int`
  `decodeMajor(int version)`
  `static int`
  `decodeMinor(int version)`
  `static int`
  `decodePatch(int version)`
  `static int`
  `encode(int major, int minor, int patch)`
  Encode the given version components to an integer.
  `static int`
  `encode(VulkanVersion version)`
  Encode a version to an integer.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### encode

    public static int encode(VulkanVersion version)
    Encode a version to an integer.
    Parameters:
      `version` - The input version
    Returns:
      An encoded version

  - ### encode

    public static int encode(int major, int minor, int patch)
    Encode the given version components to an integer.
    Parameters:
      `major` - The major component
      `minor` - The minor component
      `patch` - The patch component
    Returns:
      The encoded version

  - ### decodeMajor

    public static int decodeMajor(int version)
    Parameters:
      `version` - The encoded version
    Returns:
      The decoded major version component

  - ### decodeMinor

    public static int decodeMinor(int version)
    Parameters:
      `version` - The encoded version
    Returns:
      The decoded minor version component

  - ### decodePatch

    public static int decodePatch(int version)
    Parameters:
      `version` - The encoded version
    Returns:
      The decoded patch version component

  - ### decode

    public static VulkanVersion decode(int version)
    Decode an encoded version.
    Parameters:
      `version` - The encoded version
    Returns:
      A decoded version